Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Data Services Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.sblgtwy

### , sblgtwy

- resource type implementation for failover Siebel gateway

## Description

The Siebel data service for Oracle Solaris Cluster is managed by the Oracle Solaris Cluster Resource Group Manager (RGM) and is configured as a Siebel gateway resource and one or more Siebel server resources.

You must set the following properties for a Siebel gateway resource using the `clresource`(1CL) command.

### Standard Properties

See `r_properties`(5) for a complete description of the following resource properties.

`Retry_count`

  Maximum: `10`

  Default: `2`

  Tunable: `Any time`

`Retry_interval`

  Maximum: `3600`

  Default: `730`

  Tunable: `Any time`

`Thorough_probe_interval`

  Maximum: `3600`

  Default: `60`

  Tunable: `Any time`

### Extension Properties

`Confdir_list`

  Type string array. This property is the path name to the Siebel gateway root directory. You can specify the value at resource creation time only.

`Monitor_retry_count`

  Type integer. Default is `4`. This property controls the restarts of the fault monitor. It indicates the number of times the fault monitor is restarted by the process monitor facility and corresponds to the `-n` option passed to the `pmfadm`(1M) command. The number of restarts is counted in a specified time window (see the property `Monitor_retry_interval`). Note that this property refers to the restarts of the fault monitor itself, not the Siebel gateway. Siebel gateway restarts are controlled by the system-defined properties `Thorough_Probe_Interval` and `Retry_Interval`, as specified in their descriptions. You can modify the value for this property at any time.

`Monitor_retry_interval`

  Type integer. Default is `2`. Indicates the time ( in minutes) over which the failures of the fault monitor are counted, and corresponds to the `-t` option passed to the `pmfadm` command. If the number of times the fault monitor fails exceeds the value of `Monitor_retry_count` within this period, the fault monitor is not restarted by the process monitor facility. You can modify the value for this property at any time.

`Probe_timeout`

  Type integer Default is `120`. Indicates the time-out value (in seconds) used by the fault monitor to probe a Siebel gateway instance. You can modify the value for this property at any time.

`Siebel_version`

  Type string. Default is `8.2` and this property is tunable when disabled. This property is set to the Siebel server version.

## Examples

Example 1 Configuration Example

For this example to work, you must first install the data service.

The following example creates a failover Siebel gateway resource named `sblgtwy-rs` in an existing resource group called `siebel-rg`. `siebel-rg` is assumed to contain a `LogicalHostName` resource.

    # clresourcetype register SUNW.sblgtwy \\
    # clresource create -g siebel-rg -t SUNW.sblgtwy \\
    -p Confdir_list=/global/siebel/gtwy \
    -p siebel_version=8.2 sblgtwy-rs

In this example, `/global/siebel/gtwy` is the Siebel gateway root directory.

## Attributes

See `attributes`(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | `ha-cluster/data-service/siebel`

## See Also

`pmfadm`(1M), `scha_resource_get`(1HA), `clresourcetype`(1CL), `clresource`(1CL), `clresourcegroup`(1CL), `attributes`(5), `r_properties`(5)

Oracle Solaris Cluster Data Services Planning and Administration Guide

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |